apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.21.0 (992df58d8)
  creationTimestamp: null
  labels:
    io.kompose.service: promtail
  name: promtail
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: promtail
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.21.0 (992df58d8)
      creationTimestamp: null
      labels:
        io.kompose.network/loki: "true"
        io.kompose.service: promtail
    spec:
      containers:
      - args:
        - -config.file=/etc/promtail/config.yml
        image: grafana/promtail:2.2.1
        imagePullPolicy: ""
        name: promtail
        resources: {}
        volumeMounts:
        - mountPath: /var/log
          name: promtail-claim0
      restartPolicy: Always
      serviceAccountName: ""
      volumes:
      - name: promtail-claim0
        persistentVolumeClaim:
          claimName: promtail-claim0
status: {}
